<?php
/**
 * Plugin Name: KooKoa Folders
 * Plugin URI:  https://www.kookoa.com/folders
 * Description: Media library folder organization for WordPress.
 * Version:     1.4.1
 * Requires at least: 6.2
 * Requires PHP: 7.4
 * Author:      KooKoa
 * Author URI:  https://www.kookoa.com
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: kookoa-folders
 * Domain Path: /languages
 *
 * @package KookoaWPF
 */

/*
 * Copyright (C) 2026 Adamo Lussana
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <https://www.gnu.org/licenses/>.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'KOOKOAWPF_VERSION', '1.4.1' );
define( 'KOOKOAWPF_PLUGIN_FILE', __FILE__ );
define( 'KOOKOAWPF_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'KOOKOAWPF_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'KOOKOAWPF_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );

require_once KOOKOAWPF_PLUGIN_DIR . 'includes/kookoawpf-functions.php';
require_once KOOKOAWPF_PLUGIN_DIR . 'includes/class-kookoawpf.php';

/**
 * Return the main plugin instance.
 *
 * @return KookoaWPF
 */
function kookoawpf() {
	return KookoaWPF::instance();
}
kookoawpf();
